Subject: Re: Collision Detection
From: Adam Chrystie <[email-masked]>
To: [email-masked]
Date: Sun, 24 Mar 1996 12:51:02 -0800

[email-masked] wrote:

>      And don't forget the slidding feet sindrome.. PLEASE - will someone hint
> to allen that the IK chains should go both ways! I should be able to move the
> foot, and have the leg ajust, and I should also be able to lock down the
> foot, and move the body, having the leg ajust..

I think Lock And Key simulates this..I've been playing iwth 
it recently..and got some walk cycles..but the program 
operates in a very strange manner..in my opinion..since it 
deals with parenting of objects, you really do not seem your 
results RIGHT-AWAY..you have to advance and go back one 
frame..Wish they wrote a small code to evaluate teh scene 
automatically after making any changes in a scene which used 
th elock and key plugin...Or perhaps i am just doing 
something wrong???

> 
> >  I suppose programs like Impact are there to deal with this but is there
> >some reason why Lightwave doesn't have this capability built-in? Or is it
> >there in the envelope map and I just haven't figured out how to use it?
> 
>       Impact would help, but not on something like a human walk cycle, for
> sure. Every step would require modification of the animation to make it
> perfect..
>      Perhaps I can suggest a workaround, to hold you off untill these types
> of things are implemented.. Of the top of my head, try something like this..
> 
>      Load your landscape into modeler, Create a plane, or series of plains,
> which are verticle, and intersect with your landscape in the direction(s) of
> your walking animation. Booleen subtract the landscape from the plain,
> leaving just the plane, with the path your object will travel in the bottom
> of the plane.
>     Now, remove the polygon leaving just the points. Next, link up the points
> as a series of 2 point polygons (lines).
>     Next, remove the polygon, leaving only the points. Select the points in
> the direction of the walk path, and create a spline. Run the path2motion
> plugin (or arexx macro) on it. Save out your motion.
>     Go into layout, parent your walking man to a null object, and load the
> motion you saved in modeler into your null object. You'll probrobly have to
> scale the motion so he moves at the correct speed across the landscape. Then,
> change all the spline tentions to linear.
>     Next, parent that null to a new null object, call it man_ajust or
> something. Then go to each keyframe, and ajust the mans rotation so he walks
> up or down the landscape corectly. You may have to tweak some in-between
> frames, but basicaly you man will walk across the landscape and not slip
> though it, or float above it..
>      Geeze.. maybe I should have just done this myself (to see if it works)
> and written a LWpro tutorial.. oh well..
> 
>     Hope this helps.. Oh, it's much easier with something like a vehicle..